#include <bits/stdc++.h>
using namespace std;
int main(){
ios_base::sync_with_stdio(0);
cin.tie(0);
long long n;
long long x;
cin>>n>>x;
long long koordinate[n];
long long prom;
long long  minimalna = 100000001;
long long maksimalna = -100000001;
for(int i=1;i<=n;i++){
    cin>>prom;
    minimalna = min(minimalna,prom);
    maksimalna = max(maksimalna,prom);
}
if(minimalna>x){
    cout<<abs(maksimalna-x);
    return 0;
}
if(maksimalna<x){
    cout<<abs(minimalna-x);
    return 0;
}
long long a = abs(x-minimalna);
long long b = abs(x-maksimalna);

if(a>b){
    cout<<2*b+a;
    return 0;
}
else{
    cout<<2*a+b;
    return 0;
}

}